Page MenuHomePhabricator

Style tunnels differently
Closed, ResolvedPublic

Event Timeline

Pnorman created this task.Jan 6 2017, 11:16 PM
Pnorman claimed this task.May 12 2017, 8:29 PM
Pnorman raised the priority of this task from Normal to High.Jun 14 2017, 7:22 PM

A couple of different ideas with the styling applied to the tunnel part

Dashed across

::casing {
  line-dasharray: 8,8;
}
::fill {
  line-dasharray: 8,8;
  line-cap: butt;
}

Dashed across, casing around dashes

::casing {
  line-dasharray: 9,6,1,0;
}
::fill {
  line-dasharray: 8,8;
  line-cap: butt;
}

Inner dashes

::casing {
  // no changes
}
::fill {
  b/line-color: mix(white,@motorway-inner, 60%);
  b/line-width: @motorway-z14-width * (1 - 2*@motorway-casing-width);
  b/line-dasharray: 8,8;
  b/line-cap: butt;
}

Dashed casing

::casing {
  line-dasharray: 8,8;
}
::fill {
  // no changes
}

Alternating dash casing

::casing {
  b/line-dasharray: 8,8;
  b/line-width: @motorway-z14-width;
  b/line-color: mix(@motorway-outer,@land,20%);
  b/line-cap: butt;
}
::fill {
  // no changes
}

Existing

This is a dashed casing implementation with high frequency dashes and a fill colour alteration

OpenStreetMap Carto

This is a dashed casing implementation with moderate frequency dashes and an obvious fill colour alteration

None of these options are difficult to implement. Dashed across and dashed casing require the fewest lines of code, I prefer alternating dash casing and inner dashes.

I find that the dashed casing options look a bit strange with width changes.

Of course, the size of the dashes can be tweaked.

debt added a comment.Oct 10 2017, 9:29 PM

@Pnorman in order of (my) preference:

  1. Dashed casing
  2. Alternating dash casing
  3. Dashed across, casing around dashes
Pnorman closed this task as Resolved.Oct 11 2017, 12:00 AM
Pnorman moved this task from Backlog to Done on the Maps-Sprint board.